%global pypi_name tenacity

Name:           python-%{pypi_name}
Version:        8.0.1
Release:        %mkrel 1
Summary:        Tenacity is a general purpose retrying library
License:        ASL 2.0
Group:          Development/Python
URL:            https://github.com/jd/%{pypi_name}
Source0:        https://pypi.io/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
Tenacity is a general-purpose retrying library, written in Python, to simplify
the task of adding retry behavior to just about anything. It originates from a
fork of Retrying.

%package -n python3-%{pypi_name}
Summary:        Tenacity is a general purpose retrying library
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-tornado >= 4.5
BuildRequires:  python3-typeguard

%description -n python3-%{pypi_name}
Tenacity is a general-purpose retrying library, written in Python3, to simplify
the task of adding retry behavior to just about anything. It originates from a
fork of Retrying.

%prep
%setup -qn %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-%{pypi_name}
%doc README.rst
%doc LICENSE
%{python3_sitelib}/*


%changelog
* Tue Aug 09 2022 TerryN <terryn94 at gmail.com> 8.0.1-1pclos2022
- update and rebuild for python 3.10

* Fri Jan 31 2020 tex - 5.1.1-1pclos2020
- update

